Bug 132879 - UI: The dialog always showing the "To frame" option, even when not applicable (see comment 1)
Summary: UI: The dialog always showing the "To frame" option, even when not applicabl...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2020-05-09 16:27 UTC by Telesto
Modified: 2022-09-27 03:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-09 16:27:27 UTC
Description:
UI: Anchor to frame not in the right click context menu

Steps to Reproduce:
1. Open Writer
2. Insert a shape
3. Open Position & Size dialog -> Notice anchor to frame
4. Right click the shape -> Anchor -> No Anchor to frame

Note.. the documentation should be updated to.. no anchor to frame..

Actual Results:
No anchor to frame in right click menu

Expected Results:
Probably?


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha1 (x64)
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI: en-US
Calc: threaded
Comment 1 Maxim Monastirsky 2020-05-09 22:18:58 UTC
The command is there if you place the shape on top of a frame, which is expected. I think the bug is actually with the dialog always showing the "To frame" option, even when not applicable.
Comment 2 Xisco Faulí 2020-05-11 10:13:46 UTC
Not reproducible in

Version: 7.0.0.0.alpha1+
Build ID: 86bc13248c1d9f63b10aac304bdf0361d1dcc47f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

it says 'to paragraph'.

@Telesto, are the steps correct ? Could you please try with a more recent master build ?
Comment 3 Telesto 2020-05-11 10:17:42 UTC
(In reply to Xisco Faulí from comment #2)
> @Telesto, are the steps correct ? Could you please try with a more recent
> master build ?

Yes, steps are fine.. this not about the 'current' anchoring.. but about the available anchoring..

Position & Size dialog -> Shows an additional setting: anchor to frame not in
Right click the shape -> Anchor dialog

However, it's probably the other way around (comment 1). It should be visible in Position & Size dialog without a frame being on screen
Comment 4 Xisco Faulí 2020-05-11 11:13:32 UTC
Oh, I see. reproduced in

Version: 7.0.0.0.alpha1+
Build ID: 86bc13248c1d9f63b10aac304bdf0361d1dcc47f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded


and

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.19; Render: default; 

Adding Heiko to have him in the loop
Comment 5 Maxim Monastirsky 2020-05-11 11:30:26 UTC
Tested this with:

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

The dialog there indeed doesn't have the "To Frame" option when the shape isn't in a frame. Maybe a regression?
Comment 6 Thomas Lendo 2020-09-25 16:45:57 UTC
Can someone please summarize the issue with a clear Summary?

I didn't understand the comments until I tested it by my own.

Main menu Format > Anchor: Showing "To Frame" but greyed outa
Context menu: Not showing "To Frame" as in the Main menu
Position and Size dialog: Showing "To frame" (possible to select)

Is this an issue because the context menu is NOT showing "To frame" or because main menu and position and size dialog ARE showing "To frame"?
Comment 7 Maxim Monastirsky 2020-09-26 22:22:57 UTC
(In reply to Thomas Lendo from comment #6)
The problem is with the dialog only. It should either hide or disable the "to frame" option. The command is correctly disabled in the main menu, and hidden in the context menu (because all disabled commands are hidden in context menus).
Comment 8 QA Administrators 2022-09-27 03:31:26 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug